package com.orangeandbronze.glfishproblem.client;

import java.util.Properties;
import java.util.Vector;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import junit.framework.TestCase;

import com.orangeandbronze.glfishproblem.model.TheBuck;
import com.orangeandbronze.glfishproblem.session.ProblemEJB;

public class ProblemEJBTest extends TestCase {
	ProblemEJB problemEJB;

	public void setUp() throws NamingException {
		Properties props = new Properties();
		props.setProperty("java.naming.factory.initial",
				"com.sun.enterprise.naming.SerialInitContextFactory");
		props.setProperty("java.naming.factory.url.pkgs",
				"com.sun.enterprise.naming");
		props.setProperty("java.naming.factory.state",
				"com.sun.corba.ee.impl.presentation.rmi.JNDIStateFactoryImpl");

		Context context = new InitialContext(props);
		// com.orangeandbronze.glfishproblem.session.ProblemEJB
		//problemEJB = (ProblemEJB) context.lookup("ProblemEJB");
		problemEJB = (ProblemEJB) context.lookup("com.orangeandbronze.glfishproblem.session.ProblemEJB");
	}

	public void testLookup() {
		assertNotNull(problemEJB);
	}


	private TheBuck earnBucks() {
		TheBuck buck1 = new TheBuck("Buck 1");
		TheBuck buck2 = new TheBuck("Buck 2");
		buck1.getContents().add(buck2);
		return buck1;
	}
	public void testPassTheBuckThroughVector() {
		TheBuck abuck = earnBucks();
		Vector v = new Vector();
		v.add(abuck);
		TheBuck passedBuck = problemEJB.pass(v);
		assertNotNull(passedBuck);
		
	}

}
